package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.*;
import com.zanxiang.game.data.serve.pojo.vo.*;
import com.zanxiang.game.data.serve.utils.Page;

import java.util.List;

public interface IGameServerService {

    /**
     * 游戏区服数据
     * @param dto
     * @return
     */
    Page<GameServerDayVO> getGameServerDataDay(GameServerDayDTO dto);

    /**
     * 游戏区服数据总计
     * @param dto
     * @return
     */
    GameServerDayTotalVO getGameServerDataDayTotal(GameServerDayTotalDTO dto);

    /**
     * 游戏区服每日数据
     * @param dto
     * @return
     */
    Page<GameServerSumDayVO> getGameServerDataSumDay(GameServerSumDayDTO dto);

    /**
     * 游戏区服每日数据总计
     * @param dto
     * @return
     */
    GameServerSumDayTotalVO getGameServerDataSumDayTotal(GameServerSumDayTotalDTO dto);

    /**
     * 得到所有区服列表
     * @param dto
     * @return
     */
    List<GameServerVO> getAllGameServer(GameServerListDTO dto);

    /**
     * GS区服数据
     * @param dto
     * @return
     */
    Page<GSGameServerDayVO> getGSGameServerDataDay(GSGameServerDayDTO dto);

    /**
     * 根据GSId得到区服列表
     * @param gsId
     * @return
     */
    public List<String> getServerIdByGSId(Long gsId);

    /**
     * GS区服总数据
     * @param dto
     * @return
     */
    GSGameServerDayVO getGSGameServerDataDayTotal(GSGameServerDayDTO dto);

}
